=== debian/changelog ===
network-utilities (0.6.6-2) unstable; urgency=medium

  * nuts: depend on 'lsb-base (>= 3.0-6)' for init script
  * use debhelper for rules
  * fix library package names
  * workaround missing QVector::append in older Qt
  * drop debug packages

 -- Stefan Bühler <stbuehler@web.de>  Mon, 12 Jun 2017 18:23:12 +0200

network-utilities (0.6.6-1) unstable; urgency=medium

  * [nuts] fix use (std::function<>) after free
  * [nutclientbase] fix header installation
  * [cmake] silence "mabye" warning
  * [qnut] fix some out-of-bound accesses (crashes in wlan list dialog)
  * [qnut] actually use CAvailableAPProxyModel::lessThan
  * [qnut] update code style, remove some globals, ...
  * [common] fix SSID handling
  * [qnut] add "quit" back to trayicon menu
  * [libnutwireless] style cleanup
  * [wireless] remove eappsk and nai
  * [qnut] simplify inputMask: space is the default blank character
  * [nuts] fix adjusting and cleanup of IPv6 routes
  * Release 0.6.6
  * Remove patch for "[nuts] fix use (std::function<>) after free"

 -- Stefan Bühler <stbuehler@web.de>  Mon, 12 Jun 2017 17:58:28 +0200

network-utilities (0.6.5-2) unstable; urgency=medium

  * [nuts] fix use (std::function<>) after free

 -- Stefan Bühler <stbuehler@web.de>  Tue, 28 Jun 2016 22:07:51 +0200

network-utilities (0.6.5-1) unstable; urgency=medium

  * [nuts] fix IPv6 auto configuration handling without restarting interface
  * [nuts] use nl_msg_parse instead of parsing netlink message manually
  * [nuts] apply metric to all IPv4 and IPv6 routes
  * [nuts] forward stdout/stderr from (backend) processes
  * Release 0.6.5
  * remove patch for: workaround missing RTNH_F_LINKDOWN

 -- Stefan Bühler <stbuehler@web.de>  Sun, 26 Jun 2016 21:54:48 +0200

network-utilities (0.6.4-2) unstable; urgency=medium

  * workaround missing RTNH_F_LINKDOWN

 -- Stefan Bühler <stbuehler@web.de>  Sun, 19 Jun 2016 21:22:00 +0200

network-utilities (0.6.4-1) unstable; urgency=medium

  * [nuts] move address+route management to hardware.cpp
  * [common] fix endless loop in DBusAbstractAdaptor::removeConnections
  * [nuts] only delay carrier up event
  * [nuts] restart interface on carrier loss to kick IPv6 state
  * [nuts] start working on a "clear IPv6 state" method. work in progress.
  * [nuts] make default config really small, example is in docs/config.example
  * [nuts] don't allow 0 and 1 as boolean values, no blanks between '-' and digits for numbers
  * [nuts] document config syntax in README.md
  * [nuts] fix fallback handling, especially zeroconf (fixes #1)
  * [nuts] allow metric configuration per interface
  * [nuts] fix ARP announces
  * [nuts] try handling lost device a bit better
  * [nuts] prefer interface index over name, use netlink to discover interfaces
  * [nuts] don't set default route with zeroconf
  * Release 0.6.4

 -- Stefan Bühler <stbuehler@web.de>  Sun, 19 Jun 2016 16:41:42 +0200

network-utilities (0.6.3-1) unstable; urgency=medium

  * [libnutclient*] use explicit constructors
  * [dbus API] extend device (properties) by "next" and "userPreferred"
    environments
  * [nuts] fix missing NUT_EVENT variable in dispatch script
  * Release 0.6.3

 -- Stefan Bühler <stbuehler@web.de>  Tue, 14 Jun 2016 15:48:00 +0200

network-utilities (0.6.2-1) unstable; urgency=medium

  * [nuts] fix endless loop on failure in config parser
  * workaround for pre Qt5.4 QTimer::singleShot API
  * fix init script, provide systemd service
  * [nuts] use process manager to keep track of running child processes before terminating
  * [nuts] split time wrapper class into separate header
  * cleanup: whitespace, style, explicit constructors, ...
  * update README requirements to Qt5
  * [libnutcommon] more cleanups, split config DBus serialization code, enum class
  * [nuts] replace local QObjectTimer with official QBasicTimer
  * [libnutcommon] use QBasicTimer in DBus
  * [libnutcommon] cleanup dbus manager: use QPrivateSignal, fix class name
  * [libnutcommon] split DBus functions from device.cpp, cleanup MacAddress
  * [libnutcommon] can't have signals in dbus abstractor, as they'd get relayed to DBus
  * [nuts] refactor time classes, ARP and zeroconf handling
  * [nuts] detect device renames, refactor initial discovery
  * [nuts] use same list for device paths and names
  * [libnutcommon] fix DBus connection handling: store known connections for later registrations
  * [libnutcommon] add some DBus logging on failures
  * [nuts] synchronize signal names from common code, fixing adding and removing of devices on the fly
  * [libnutcommon] fix DBus serialization of MacAddress (needs to be wrapped in struct), sadly breaking compatibility
  * Release 0.6.2

 -- Stefan Bühler <buehler@cert.uni-stuttgart.de>  Tue, 31 May 2016 21:22:26 +0200

network-utilities (0.6.1-1) unstable; urgency=medium

  * [cmake] use CMAKE_C[XX]_STANDARD[_REQUIRED] if available
  * [cmake] LinkObjectLibrary: document how target_sources call would
    look like if it worked
  * [libnutwireless] fix comparison with EAPF_UNDEFINED
  * [nuts] fix ambiguous value construction by adding type
  * [cmake] manual "moc" in targets using TARGET_OBJECTS to workaround
    cmake bug
  * [cmake] create "qt5_translate" function to handle translations in a
    sane way; require cmake 3.1
  * [cmake] explicitly add all header and parser files in target sources
  * connect by member function pointer
  * [nutcommon] hide DBusAbstractAdapater internal signals
  * [nuts] refactor and fix timer id management
  * [qnut] add command line option to prevent minimizing to tray
  * Release 0.6.1

 -- Stefan Bühler <stbuehler@web.de>  Sun, 06 Dec 2015 20:34:43 +0100

network-utilities (0.6.0-3) experimental; urgency=medium

  * add missing package containing linguist binaries

 -- Stefan Bühler <stbuehler@web.de>  Sat, 05 Sep 2015 22:17:10 +0200

network-utilities (0.6.0-2) experimental; urgency=medium

  * fix missing qt linguist dependency


