=== debian/control ===
Source: network-utilities
Section: admin
Priority: important
Maintainer: Stefan Bühler <source@stbuehler.de>
Uploaders: Oliver Groß <neokensuke@freenet.de>, Stefan Bühler <stbuehler@web.de>
Build-Depends:
 debhelper (>= 9),
 dh-systemd (>= 1.5),
 qtbase5-dev-tools,
 qttools5-dev,
 qttools5-dev-tools,
 bison,
 flex,
 libnl-3-dev,
 libnl-genl-3-dev,
 libnl-route-3-dev,
 libiw-dev,
 cmake (>= 3),
 pkg-config,
Standards-Version: 3.9.8

Package: nuts
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 resolvconf,
 lsb-base (>= 3.0-6),
Recommends: wpasupplicant
Description: Network UTility server
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the server.

Package: qnut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Network UTility Qt client
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the Qt client.

Package: cnut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Network UTility command line client
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the command line client.

Package: libnutclient0.6.6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: nuts (= ${binary:Version})
Description: Network UTility client library debug symbols
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the client library.

Package: libnutclient0.6.6-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libnutclient0.6.6 (= ${binary:Version}),
Priority: extra
Description: Network UTility client library development files
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the development files for the client library.

Package: libnutcommon0.6.6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: nuts (= ${binary:Version})
Description: Network UTility common library
 Manages your network cards; the server has an DBus Interface,
 which the clients use to control the server.
 .
 This package contains the common library.
